Real-Time Kline
Complete K-line data for major global stock indices, providing multi-period OHLC price series for indices such as CSI 300, SSE Composite Index, Shenzhen Component Index, ChiNext Index, S&P 500, Nasdaq, and Hang Seng. Supports multiple time periods from minute charts to monthly charts, including opening prices, highest prices, lowest prices, closing prices, and trading volumes.
/indices/klineRequest Parameters
regionenumRequiredMarket code
codestringRequiredProduct code
kTypeenumRequiredInterval: 1 minute, 2 five minutes, 3 fifteen minutes, 4 thirty minutes, 5 one hour, 8 one day, 9 one week, 10 one month
etstringWhen the query end timestamp (e.g., 1751328000000) is empty, it defaults to the current timestamp.
limitstringRequiredNumber of records to query
Response Parameters
codenumberResponse code
msgstringResponse description
dataarray(object)▶Response result
tunumberTransaction amount
cnumberClosing price of the Kline
tnumberTimestamp
vnumberTransaction volume
hnumberHighest price of the Kline
lnumberLowest price of the Kline
onumberOpening price of the Kline
Code Examples
import requests
url = "https://api.itick.org/indices/kline?region=GB&code=SPX&kType=2&limit=10"
headers = {
"accept": "application/json"
"token": "Your Token"
}
response = requests.get(url, headers=headers)
print(response.text)Query URL
https://api.itick.org/indices/kline?region=GB&code=SPX&kType=2&limit=10, Run query
Response Result
{
"code": 0,
"msg": null,
"data": [
{
"tu": 385612920000,
"c": 5842.62,
"t": 1741208580000, // 2025-03-05 21:03:00 UTC
"v": 66000000,
"h": 5842.62,
"l": 5842.62,
"o": 5842.62
}
]
}